Migrate carbon to jessie
Closed, ResolvedPublic

Description

Still on precise, migrate to jessie. This will probably need to setup on a second host in parallel and then moved over.

Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 15 2016, 12:56 PM

Note the 1.5TB current usage for carbon (and another 6 TB free). carbon has a software RAID5 specifically to have enough disk space for it's role. The plan seems fine, just take into consideration the storage requirements.

Change 281447 had a related patch set uploaded (by Filippo Giunchedi):
installserver: port squid3 changes for trusty/jessie

https://gerrit.wikimedia.org/r/281447

Change 281447 merged by Filippo Giunchedi:
installserver: port squid3 changes for trusty/jessie

https://gerrit.wikimedia.org/r/281447

akosiaris triaged this task as "Normal" priority.Apr 20 2016, 11:13 AM

Change 328597 had a related patch set uploaded (by Dzahn):
openstack: switch tftp server from carbon to install1001

https://gerrit.wikimedia.org/r/328597

Change 328599 had a related patch set uploaded (by Dzahn):
ganglia: switch eqiad aggregator from carbon to install1001

https://gerrit.wikimedia.org/r/328599

Dzahn added a subscriber: Dzahn.Dec 22 2016, 12:30 AM

Is this actually still "migrate carbon" or is it now "decom carbon" since the mirror part was done on sodium meanhile. ? (T84817 is that resolved too?)

Change 328600 had a related patch set uploaded (by Dzahn):
wmflib: replace carbon with install1001 in ipresolve tests

https://gerrit.wikimedia.org/r/328600

Change 328600 merged by Alexandros Kosiaris:
wmflib: replace carbon with install1001 in ipresolve tests

https://gerrit.wikimedia.org/r/328600

Change 328597 merged by Dzahn:
openstack: switch tftp server from carbon to install1001

https://gerrit.wikimedia.org/r/328597

Change 328599 merged by Dzahn:
ganglia: switch eqiad aggregator from carbon to install1001

https://gerrit.wikimedia.org/r/328599

Dzahn added a comment.Jan 6 2017, 2:14 AM

I moved the eqiad Ganglia aggregator from carbon to install1001 today. This part is now unblocked :)

Change 335747 had a related patch set uploaded (by Dzahn):
switch webproxies away from carbon to install1002/2002

https://gerrit.wikimedia.org/r/335747

Change 335857 had a related patch set uploaded (by Dzahn):
lower TTL for webproxy.$dc.wmnet

https://gerrit.wikimedia.org/r/335857

Change 335857 merged by Dzahn:
lower TTL for webproxy.$dc.wmnet

https://gerrit.wikimedia.org/r/335857

Change 335747 merged by Dzahn:
switch webproxies away from carbon to install1002/2002

https://gerrit.wikimedia.org/r/335747

Mentioned in SAL (#wikimedia-operations) [2017-02-03T22:27:39Z] <mutante> switching webproxy.*.wmnet CNAMEs from carbon to new install servers (T123733) - watching squid access logs

Dzahn added a comment.EditedFeb 3 2017, 10:30 PM
[radon:~] $ for dc in eqiad codfw esams ulsfo; do host webproxy.${dc}.wmnet; done

webproxy.eqiad.wmnet is an alias for install1002.wikimedia.org.
install1002.wikimedia.org has address 208.80.154.86
install1002.wikimedia.org has IPv6 address 2620:0:861:3:208:80:154:86

webproxy.codfw.wmnet is an alias for install2002.wikimedia.org.
install2002.wikimedia.org has address 208.80.153.53
install2002.wikimedia.org has IPv6 address 2620:0:860:2:208:80:153:53

webproxy.esams.wmnet is an alias for install1002.wikimedia.org.
install1002.wikimedia.org has address 208.80.154.86
install1002.wikimedia.org has IPv6 address 2620:0:861:3:208:80:154:86

webproxy.ulsfo.wmnet is an alias for install2002.wikimedia.org.
install2002.wikimedia.org has address 208.80.153.53
install2002.wikimedia.org has IPv6 address 2620:0:860:2:208:80:153:53
Dzahn added a comment.Feb 13 2017, 9:55 PM

carbon has been replaced with install1002 and install2002 (and sodium).

carbon itself will be decom'ed since it's out of warranty.

Dzahn claimed this task.Feb 13 2017, 11:47 PM
Dzahn closed this task as "Resolved".Feb 13 2017, 11:55 PM

I'll close this as ..eh.. something between resolved and rejected :) per the comment above. I will make a subtask for decom'ing it.